org.eclipse.viatra.query.tooling.generator.model.generatorModel

## Interface ViatraQueryGeneratorModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ViatraQueryGeneratorModelImpl

      public interface ViatraQueryGeneratorModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Viatra Query Generator Model'.

  The following features are supported:

  - `Genmodels`
  - `Configuration`
  See Also:
    `GeneratorModelPackage.getViatraQueryGeneratorModel()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Configuration>` | `getConfiguration()` Returns the value of the 'Configuration' containment reference list.
    `org.eclipse.emf.common.util.EList<GeneratorModelReference>` | `getGenmodels()` Returns the value of the 'Genmodels' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGenmodels

          org.eclipse.emf.common.util.EList<GeneratorModelReference> getGenmodels()

      Returns the value of the 'Genmodels' containment reference list. The list contents are of type `GeneratorModelReference`.

      If the meaning of the 'Genmodels' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Genmodels' containment reference list.
      See Also:
        `GeneratorModelPackage.getViatraQueryGeneratorModel_Genmodels()`
      Generated:
      Model:
        containment="true"

    - #### getConfiguration

          org.eclipse.emf.common.util.EList<Configuration> getConfiguration()

      Returns the value of the 'Configuration' containment reference list. The list contents are of type `Configuration`.

      If the meaning of the 'Configuration' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Configuration' containment reference list.
      See Also:
        `GeneratorModelPackage.getViatraQueryGeneratorModel_Configuration()`
      Generated:
      Model:
        containment="true"